<?php

require_once 'model/database.php';

class Login
{
	public $pdo;    
    public $id;
    public $Nombre;
    public $Apellido;
    public $Sexo;
    public $FechaRegistro;
    public $FechaNacimiento;
    public $Foto;
    public $Correo;
    public $AlertMsg;

	public function __CONSTRUCT()
	{
		try
		{
			$this->pdo = Database::StartUp();     
		}
		catch(Exception $e)
		{
			die($e->getMessage());
		}
	}
	
	
	
	public function Esusuario_autenticado($PrvUsr,$PrvPwd)
	{
				
		try
		{
			


			/* PREPARANDO EL ACCESO */
		
			$sql = "exec sp_grant_web_access 0,'".$PrvUsr."','".$PrvPwd."',0";
			$stm = $this->pdo->prepare($sql);		
			$stm->execute();
		
			//print $sql;


			/* RECUPERANDO LOS RESULTADOS */	
		
			/*
			$sql = "exec sp_grant_web_access 0,'','',0,'GRANTACCESS'";
			$stm = $this->pdo->prepare($sql);		
			$stm->execute();
			*/

			return $stm->fetchAll(PDO::FETCH_OBJ);			
		}
		catch(PDOException $e)
		{
			die($e->getMessage());
		}
	}


}